%--------------------------------------------------------------------------
% Compute the shape functions and their derivatives 
% (with respect to the isoparametric domain) inside the element ONLY.
%--------------------------------------------------------------------------
function FEM = shape_functions_iso_derivs_mass(QUADRATURE,FEM,dimension)
%--------------------------------------------------------------------------
% Initialise the shape functions and their derivatives inside the element (e).
%--------------------------------------------------------------------------
Ne      = zeros(FEM.mesh.n_nodes_elem,QUADRATURE.ngauss);
DNe_chi = zeros(dimension,FEM.mesh.n_nodes_elem,QUADRATURE.ngauss);
%
for igauss = 1:QUADRATURE.ngauss  
    interpolation       = shape_functions_library(QUADRATURE.Chi(igauss,:),...
                                                   FEM.mesh.element_type);
    Ne(:,igauss)        = interpolation.N;
    DNe_chi(:,:,igauss) = interpolation.DN_chi;
end
%--------------------------------------------------------------------------
% Store the information.
%--------------------------------------------------------------------------
FEM.interpolation.element.N       = Ne;
FEM.interpolation.element.DN_chi  = DNe_chi;
end



