%--------------------------------------------------------------------------
%  Computes the shape functions and derivative of the shape
%  functions for the specific element types considered in the code and for
%  a given Gauss point at the edges (2D elements) or faces (3D elements) of
%  those elements. 
%--------------------------------------------------------------------------
function interpolation = shape_functions_library_boundary(Chi,element_type) 
switch element_type
    case {'tria3','quad4'}
         chi = Chi(1);
         interpolation.N = 0.5*[1-chi, 1+chi];
         interpolation.DN_chi = 0.5*[ -1, 1];
         
    case 'tria6'
         chi = Chi(1);
         interpolation.N  = [(chi-0)*(chi-1)/((-1-0)*(-1-1)),  (chi+1)*(chi-1)/((0+1)*(0-1)), (chi+1)*(chi-0)/((1+1)*(1-0))];                  
         interpolation.DN_chi = [chi - 1/2, -2*chi, chi + 1/2];        
         
    case 'tetr4'
         interpolation = shape_functions_library(Chi,'tria3');
         
    case 'tetr10'
         interpolation = shape_functions_library(Chi,'tria6');         

    case 'hexa8'
         interpolation = shape_functions_library(Chi,'quad4');         
end
