%--------------------------------------------------------------------------
% Computes the energy for trusses (3D truss).
%--------------------------------------------------------------------------
function energy = element_internal_energy_truss(properties,x_local,X_local)
    
area  = properties(4);  
E     = properties(2);  
%--------------------------------------------------------------------------
% Temporary variables.
%--------------------------------------------------------------------------
L       = norm(X_local(:,2) - X_local(:,1));  
dx      = x_local(:,2) - x_local(:,1);        
l       = norm(dx);                           
V       = area*L;                             
lambda  = l/L;                                
epsilon = log(lambda);
%--------------------------------------------------------------------------
% Computation of internal energy.
%--------------------------------------------------------------------------
energy  =  1/2*E*epsilon^2*V;

end