%--------------------------------------------------------------------------
% Compute boundary (UNIT pressure load) force vector 
% contribution for a boundary (UNIT pressure load) element.
%--------------------------------------------------------------------------
function R_pressure = ...
          explicit_pressure_element_load(xlocal_boundary,dim,QUADRATURE,FEM)

R_pressure = zeros(FEM.mesh.n_face_dofs_elem,1);  
for igauss=1:QUADRATURE.ngauss
    DN_chi = FEM.interpolation.boundary.DN_chi(:,:,igauss);
    %----------------------------------------------------------------------
    % Determine the outward unit normal vector at the Gauss point.
    %----------------------------------------------------------------------
    normal_vector = normal_vector_boundary(xlocal_boundary,dim,DN_chi);  
    W = QUADRATURE.W(igauss);
    %----------------------------------------------------------------------
    % Compute boundary (UNIT pressure load) force vector contribution.
    %----------------------------------------------------------------------
    T = normal_vector*FEM.interpolation.boundary.N(:,igauss)';  
    R_pressure = R_pressure + T(:)*W;
end








