%--------------------------------------------------------------------------
% Compute conttribution (and extract relevant information for subsequent
% assembly) of the constitutive term of the stiffness matrix.
%--------------------------------------------------------------------------
function [element_indexi,element_indexj,element_stiffness,counter] = ...
          mass_matrix(FEM,dim,element_connectivity,...
          Nshape,JW,density,counter,element_indexi,element_indexj,...
          element_stiffness)

for bnode=1:FEM.mesh.n_nodes_elem
    for anode=1:FEM.mesh.n_nodes_elem
        % Mass matrix contribution.
        mass = density*Nshape(anode)*Nshape(bnode)*JW;        
        % Index for row identification.        
        element_indexi(counter:...
        counter+dim-1) = FEM.mesh.dof_nodes(:,element_connectivity(anode));
        % Index for column identification.       
        element_indexj(counter:...
        counter+dim-1) = FEM.mesh.dof_nodes(:,element_connectivity(bnode));
        element_stiffness(counter:...
        counter+dim-1) = mass;
        counter        = counter + dim;
    end
end
 