%--------------------------------------------------------------------------
% Add pressure contribution to energy.
%--------------------------------------------------------------------------
function energy = mean_dilatation_energy_addition(energy,matyp,properties,ve,Ve)
%--------------------------------------------------------------------------
% Compute volumetric energy 
%--------------------------------------------------------------------------
Jbar   =  ve/Ve;
switch matyp 
    case 5
        kappa     = properties(3);
        pressure  = kappa*(Jbar - 1);
        U         = kappa/2*(Jbar - 1)^2;
        energy    = energy + U*Ve;
    case 7
        kappa     = properties(3);
        pressure  = kappa*log(Jbar)/Jbar;
        U         = kappa/2*(log(Jbar))^2;
        energy    = energy + U*Ve;
    case 17
        kappa     = properties(4);
        pressure  = kappa*log(Jbar)/Jbar;
        U         = kappa/2*(log(Jbar))^2;
        energy    = energy + U*Ve;
end

