%--------------------------------------------------------------------------
% Compute time load increment (ramp, sine or hat type loads)
%--------------------------------------------------------------------------


function [xlamb,dlamb]  =  TimeLoadIncrement(time,xlamb,DYNAMICS)

old_xlamb  =  xlamb;
T=DYNAMICS.load_parameter1;
A=DYNAMICS.load_parameter2;
%--------------------------------------------------------------------------
% Ramp type load
%--------------------------------------------------------------------------
if DYNAMICS.load_type==1
    if DYNAMICS.time<T
        xlamb   =  time/T*A;
    else
        xlamb   =  A;
    end
%--------------------------------------------------------------------------
% Sine type load
%--------------------------------------------------------------------------
elseif DYNAMICS.load_type==2
    xlamb     =  A*sin(2*pi*time/T);
%--------------------------------------------------------------------------
% Hat type load
%--------------------------------------------------------------------------
elseif DYNAMICS.load_type==3
    if DYNAMICS.time<T/2
        xlamb   =  time/(T/2)*A;
    elseif (DYNAMICS.time>=T/2 && DYNAMICS.time<T)
        xlamb   =  A*(1- (time-T/2)/(T/2));
    else
        xlamb   =  0;
    end

end
dlamb  =  xlamb - old_xlamb;
