%--------------------------------------------------------------------------
% Read control parameters.
%--------------------------------------------------------------------------
function CON = incontr(CON,BC,fid)
CON.ARCLEN.farcl   = 0;
CON.nincr          = fscanf(fid,'%d',1);
CON.xlmax          = fscanf(fid,'%g',1);
CON.dlamb          = fscanf(fid,'%g',1);
CON.miter          = fscanf(fid,'%d',1);
CON.cnorm          = fscanf(fid,'%g',1);
CON.searc          = fscanf(fid,'%g',1);
CON.ARCLEN.arcln   = fscanf(fid,'%g',1);
CON.OUTPUT.incout  = fscanf(fid,'%g',1);
CON.ARCLEN.itarget = fscanf(fid,'%g',1);  
CON.ARCLEN.iterold = CON.ARCLEN.itarget;                                       
CON.OUTPUT.nwant   = fscanf(fid,'%g',1);
CON.OUTPUT.iwant   = fscanf(fid,'%g',1);
CON.ARCLEN.xincr   = zeros(size(BC.freedof,1),1); 
CON.ARCLEN.farcl   = 0;
CON.ARCLEN.afail   = 0;
if abs(CON.searc*abs(CON.ARCLEN.arcln))
   fprintf(['Error reading solution control parameters. '...
            'Line search and arclength methods cannot be both activated. \n']);
end  
if ~CON.searc
   CON.searc        = 1e5; 
end
CON.msearch         = 5;
CON.incrm           = 0;
if CON.ARCLEN.arcln <1e-20
   CON.ARCLEN.farcl = 1; 
end

if CON.DYNAMICS.dynamics 
   %--------------------------------------------------------------------------
   % Control parameters for dynamic problems
   %--------------------------------------------------------------------------
   CON.DYNAMICS.time_integrator  =  fscanf(fid,'%d',1);
   CON.DYNAMICS.tmax             =  fscanf(fid,'%g',1);
   CON.DYNAMICS.dt               =  fscanf(fid,'%g',1);
   CON.DYNAMICS.gamma            =  fscanf(fid,'%g',1);
   CON.DYNAMICS.beta             =  fscanf(fid,'%g',1);
   CON.DYNAMICS.alpha            =  fscanf(fid,'%g',1);
   %--------------------------------------------------------------------------
   % Check if time integrator parameters are well defined
   %--------------------------------------------------------------------------
   if CON.DYNAMICS.time_integrator==2
       if isempty(CON.DYNAMICS.gamma) ||  isempty(CON.DYNAMICS.beta)
           fclose('all');
           error('Newmark time integrator parameters are ill defined')
       end
   elseif CON.DYNAMICS.time_integrator==3
       if isempty(CON.DYNAMICS.alpha)
           fclose('all');
           error('Alpha method time integrator parameter is ill defined')
       end
   end
   %--------------------------------------------------------------------------
   % Control parameters for dynamic loading
   %--------------------------------------------------------------------------
   CON.DYNAMICS.load_type         =  fscanf(fid,'%d',1);
   CON.DYNAMICS.load_parameter1   =  fscanf(fid,'%g',1);
   CON.DYNAMICS.load_parameter2   =  fscanf(fid,'%g',1);
end
















