%--------------------------------------------------------------------------
% Library of time integrators 
%--------------------------------------------------------------------------
function Time_Integrator_algorithm(PRO,FEM,GEOM,QUADRATURE,BC,MAT,LOAD,...
                                  CON,CONSTANT,GLOBAL,PLAST,KINEMATICS)
                              
%--------------------------------------------------------------------------                              
% Compute mass matrix
%--------------------------------------------------------------------------                              
GLOBAL = consistent_mass_matrix_assembly(GEOM,MAT,FEM,...
    GLOBAL,QUADRATURE.element,KINEMATICS);    

%--------------------------------------------------------------------------
% Select time integrator
%--------------------------------------------------------------------------
if (CON.DYNAMICS.time_integrator==1)
    LeapFrog(PRO,FEM,GEOM,QUADRATURE,BC,MAT,LOAD,...
                                  CON,CONSTANT,GLOBAL,PLAST,KINEMATICS);
elseif (CON.DYNAMICS.time_integrator==2)
    Newmark(PRO,FEM,GEOM,QUADRATURE,BC,MAT,LOAD,...
                                  CON,CONSTANT,GLOBAL,PLAST,KINEMATICS);
elseif (CON.DYNAMICS.time_integrator==3)
    AlphaMethod(PRO,FEM,GEOM,QUADRATURE,BC,MAT,LOAD,...
                                  CON,CONSTANT,GLOBAL,PLAST,KINEMATICS);
elseif (CON.DYNAMICS.time_integrator==4)
    MidPoint(PRO,FEM,GEOM,QUADRATURE,BC,MAT,LOAD,...
                                  CON,CONSTANT,GLOBAL,PLAST,KINEMATICS);
end    

