function error_swinging_square
close all;clc;clear all;
basedir='C:\Users\Antonio.Gil\OneDrive - Swansea University\Research\Electromagnetics\LaTeX_rogelio\Rogelio_Ortigosa\FLagSHyp_MatLab_v18\job_folder\';


%coarse
filename = 'DYN_swinging_square_coarse-increment_100-RESTART.MAT';
folder = [basedir 'DYN_swinging_square_coarse\'];
%load file
filename = [folder filename];
load(filename);
%extract data
x_c=GEOM.x;
X_c=GEOM.x0;
%
filename2 = [folder 'DYN_swinging_square_coarse-OUTPUT_FLAGOUT.TXT'];
fid = fopen(filename2,'r+');
format = ['%g %g %g %g'];
info = fscanf(fid,format,[4,inf]);
fclose(fid);
incr_c=info(1,1:end);
xtime_c   =info(2,1:end);




%medium
filename = 'DYN_swinging_square_medium-increment_200-RESTART.MAT';
folder = [basedir 'DYN_swinging_square_medium\'];
%load file
filename = [folder filename];
load(filename);
%extract data
x_m=GEOM.x;
X_m=GEOM.x0;
%
filename2 = [folder 'DYN_swinging_square_medium-OUTPUT_FLAGOUT.TXT'];
fid = fopen(filename2,'r+');
format = ['%g %g %g %g'];
info = fscanf(fid,format,[4,inf]);
fclose(fid);
incr_m=info(1,1:end);
xtime_m   =info(2,1:end);



%fine
filename = 'DYN_swinging_square_fine-increment_400-RESTART.MAT';
folder = [basedir 'DYN_swinging_square_fine\'];
%load file
filename = [folder filename];
load(filename);
%extract data
x_f=GEOM.x;
X_f=GEOM.x0;
%
filename2 = [folder 'DYN_swinging_square_fine-OUTPUT_FLAGOUT.TXT'];
fid = fopen(filename2,'r+');
format = ['%g %g %g %g'];
info = fscanf(fid,format,[4,inf]);
fclose(fid);
incr_f=info(1,1:end);
xtime_f   =info(2,1:end);



%very fine
filename = 'DYN_swinging_square_very_fine-increment_800-RESTART.MAT';
folder = [basedir 'DYN_swinging_square_very_fine\'];
%load file
filename = [folder filename];
load(filename);
%extract data
x_vf=GEOM.x;
X_vf=GEOM.x0;
%
filename2 = [folder 'DYN_swinging_square_very_fine-OUTPUT_FLAGOUT.TXT'];
fid = fopen(filename2,'r+');
format = ['%g %g %g %g'];
info = fscanf(fid,format,[4,inf]);
fclose(fid);
incr_vf=info(1,1:end);
xtime_vf   =info(2,1:end);


%analytical
X=X_vf(1,:);
Y=X_vf(2,:);
A=1;B=-1;U0=1e-3;c=sqrt(1);
t=5;
s=[A*sin(pi*X/2).*cos(pi*Y/2); B*cos(pi*X/2).*sin(pi*Y/2)];
u=U0*sin(c*pi*t/sqrt(2))*s;
v=U0*c*pi/sqrt(2)*cos(c*pi*t/sqrt(2))*s;
x=X+u(1,:);
y=Y+u(2,:);
x_anal=[x;y];

xtime_anal=X(1,145)+U0*sin(c*pi.*incr_vf*0.05/8/sqrt(2))*s(1,145);

%Increment vs Coordinate
figure(1);
plot(incr_c*0.05, xtime_c,     'k*-.',...
     incr_m*0.05/2, xtime_m,   'k:',...
     incr_f*0.05/4, xtime_f,   'k--',...
     incr_vf*0.05/8,xtime_vf,  'k.:',...
     incr_vf*0.05/8,xtime_anal,'k-',...
     'LineWidth', 1);
xlabel('Time');ylabel('Coordinate');
grid on;
legend('Mesh1','Mesh2','Mesh3','Mesh4','Analytical');

%print diagram
set(gcf,'PaperUnits','inches');
set(gcf,'PaperPositionMode','auto');
set(gcf,'PaperSize',[6.5 4.5]);
print(gcf, '-dpdf', '-r1000', 'Coordinate_convergence','-bestfit');

%compute error (Linf in central node)
exact=x_anal(2,145);
error_c=abs((x_c(2,5)    -exact)/exact);
error_m=abs((x_m(2,13)   -exact)/exact);
error_f=abs((x_f(2,41)   -exact)/exact);
error_vf=abs((x_vf(2,145)-exact)/exact);
%plot error
figure(1);
error=[error_f error_m error_c];
error=[error_vf error_f error_m error_c];
mesh =[1/8 1/4 1/2];
mesh =[1/16 1/8 1/4 1/2];
%order convergence
a=-7;
order=exp(a)*mesh.^2;
%
figure(2);
loglog(mesh, error, 'ko-',mesh, order, 'k:','LineWidth',1);
grid on;
xlabel('mesh size');ylabel('Error');
legend('Error','Order 2');

%print diagram
set(gcf,'PaperUnits','inches');
set(gcf,'PaperPositionMode','auto');
set(gcf,'PaperSize',[6.5 4.5]);
print(gcf, '-depsc', '-r1000', 'Error_convergence','-bestfit');

end